VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Digital Plotter"
   ClientHeight    =   3210
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8520
   LinkTopic       =   "Form1"
   ScaleHeight     =   3210
   ScaleWidth      =   8520
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox Check2 
      Caption         =   "COM2"
      Height          =   255
      Left            =   1440
      TabIndex        =   9
      Top             =   2640
      Value           =   1  'Checked
      Width           =   855
   End
   Begin VB.CheckBox Check1 
      Caption         =   "COM1"
      Height          =   255
      Left            =   360
      TabIndex        =   8
      Top             =   2640
      Width           =   855
   End
   Begin VB.OptionButton Option5 
      Caption         =   "1ms/div"
      Height          =   255
      Left            =   7440
      TabIndex        =   7
      Top             =   2640
      Width           =   1095
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      LargeChange     =   100
      Left            =   2040
      Max             =   5000
      TabIndex        =   6
      Top             =   2040
      Width           =   4935
   End
   Begin VB.OptionButton Option4 
      Caption         =   "2ms/div"
      Height          =   495
      Left            =   6120
      TabIndex        =   5
      Top             =   2520
      Width           =   1215
   End
   Begin VB.OptionButton Option3 
      Caption         =   "5ms/div"
      Height          =   495
      Left            =   4800
      TabIndex        =   4
      Top             =   2520
      Width           =   1095
   End
   Begin VB.OptionButton Option2 
      Caption         =   "10ms/div"
      Height          =   255
      Left            =   3600
      TabIndex        =   3
      Top             =   2640
      Width           =   1095
   End
   Begin VB.OptionButton Option1 
      Caption         =   "20ms/div"
      Height          =   255
      Left            =   2520
      TabIndex        =   2
      Top             =   2640
      Value           =   -1  'True
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   2040
      Width           =   1095
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000E&
      Height          =   1575
      Left            =   240
      ScaleHeight     =   101
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   533
      TabIndex        =   0
      Top             =   240
      Width           =   8055
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
  Dim Ch1(13000) As Integer
  Dim Ch2(13000) As Integer
  Dim Sf
  Dim Sp
 
Private Sub Plot()
  Picture1.Cls
    For n = 1 To 10
      Picture1.Line (n * 50, 0)-(n * 50, 100), &HFF00&
    Next n
    For n = 1 To 550
    X1 = n
    X2 = n + 1
    Y1 = 40 - 20 * Ch1(Sp + n * Sf)
    Y2 = 40 - 20 * Ch1(Sp + (n + 1) * Sf)
    Picture1.Line (X1, Y1)-(X2, Y1)
    Picture1.Line (X2, Y1)-(X2, Y2)
  
    Y1 = 80 - 20 * Ch2(Sp + n * Sf)
    Y2 = 80 - 20 * Ch2(Sp + (n + 1) * Sf)
    Picture1.Line (X1, Y1)-(X2, Y1)
    Picture1.Line (X2, Y1)-(X2, Y2)
  Next n
End Sub


Private Sub Command1_Click()
  REALTIME (True)
  TIMEINITUS
  For n = 1 To 13000
    Ch1(n) = CTS
    Ch2(n) = RI
    While TIMEREADUS < (n * 20)
    Wend
  Next n
  REALTIME (False)
  Plot
 End Sub
 

Private Sub Form_Load()
 i = OPENCOM("COM2,1200,N,8,1")
 If i = 0 Then
    i = OPENCOM("COM1,1200,N,8,1")
    Check1.Value = 1
    Check2.Value = 0
 End If
 If i = 0 Then MsgBox ("COM Interface Error")
 DTR 1
 RTS 1
 Sf = 20
 Sp = 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
  CLOSECOM
End Sub

Private Sub HScroll1_Change()
  Picture1.Cls

  Sp = HScroll1.Value
  If (Sp + 500 * Sf > 11000) Then Sp = 0
  Plot
End Sub

Private Sub Option1_Click()
  Sf = 20
  HScroll1.Max = 1000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option2_Click()
  Sf = 10
  HScroll1.Max = 5000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option3_Click()
  Sf = 5
  HScroll1.Max = 8000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option4_Click()
  Sf = 2
  HScroll1.Max = 10000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option5_Click()
  Sf = 1
  HScroll1.Max = 10000
  HScroll1.Value = 0
  Plot
End Sub
Private Sub Check2_Click()
 If Check2.Value = 1 Then
   i = OPENCOM("COM2,1200,N,8,1")
   If i = 0 Then
     MsgBox ("COM2 not available")
     Check2.Value = 0
   End If
   RTS 1
   DTR 1
   Check1.Value = 0
 End If
End Sub
Private Sub Check1_Click()
 If Check1.Value = 1 Then
   i = OPENCOM("COM1,1200,N,8,1")
   If i = 0 Then
     MsgBox ("COM1 not available")
     Check1.Value = 0
   End If
   RTS 1
   DTR 1
   Check2.Value = 0
 End If
End Sub

